# Visualization
TKService
PlotMgt

# PlotMgt_PlotterParameter Class Reference

`#include <PlotMgt_PlotterParameter.hxx>`

## Public Member Functions

Standard_EXPORT | PlotMgt_PlotterParameter (const TCollection_AsciiString &aName)
| Create the class instance WITH undefined TYPE .
Standard_EXPORT Standard_Boolean | Save (OSD_File &aFile)
Standard_EXPORT void | SetState (const Standard_Boolean aState)
Standard_EXPORT void | SetType (const PlotMgt_TypeOfPlotterParameter aType)
Standard_EXPORT void | SValue (TCollection_AsciiString &aValue) const
Standard_EXPORT Standard_Boolean | BValue () const
Standard_EXPORT Standard_Integer | IValue () const
Standard_EXPORT Standard_Real | RValue () const
Standard_EXPORT void | LValues (Handle(TColStd_HSequenceOfAsciiString)&aList) const
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | MValue () const
Standard_EXPORT TCollection_AsciiString | Name () const
Standard_EXPORT TCollection_AsciiString | OldName () const
Standard_EXPORT Standard_Boolean | NeedToBeSaved () const
Standard_EXPORT void | Dump () const
Standard_EXPORT void | PutCommandInfo (const Aspect_FStream &outStream) const
| Used to put parameter's information in a cmd file used in PlotterDriver's Spool method. .
Standard_EXPORT void | SetSValue (const TCollection_AsciiString &aValue)
Standard_EXPORT void | SetBValue (const Standard_Boolean aValue)
Standard_EXPORT void | SetIValue (const Standard_Integer aValue)
Standard_EXPORT void | SetRValue (const Standard_Real aValue)
Standard_EXPORT void | SetMValue (const Handle(TColStd_HSequenceOfAsciiString)&aMap)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Normalize ()
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString & | Description ()

## Private Member Functions

Standard_EXPORT void | ProcessParamVal (const Standard_CString aParamSign, const Standard_Integer aFlag, TCollection_AsciiString &aValue)
Standard_EXPORT Standard_Boolean | CheckListValue ()

## Private Attributes

TCollection_AsciiString | myName
TCollection_AsciiString | myOldName
PlotMgt_TypeOfPlotterParameter | myType
Standard_Integer | myIndex
Standard_Boolean | myState
Standard_Boolean | myConfigState
Standard_Boolean | myIsModified
Standard_Integer | myFlags
TCollection_AsciiString | myDialog
TCollection_AsciiString | myMinValue
TCollection_AsciiString | myMaxValue
TCollection_AsciiString | myValues
TCollection_AsciiString | myDefValue
Standard_Integer | myMapLength
Handle_TColStd_HSequenceOfAsciiString | myMap
Handle_TColStd_HSequenceOfAsciiString | myDescription

## Constructor & Destructor Documentation

Standard_EXPORT PlotMgt_PlotterParameter::PlotMgt_PlotterParameter | ( | const TCollection_AsciiString & | aName | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PlotMgt_PlotterParameter::BValue | ( |  | ) | const

Standard_EXPORT Standard_Boolean PlotMgt_PlotterParameter::CheckListValue | ( |  | ) | `[private]`

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString& PlotMgt_PlotterParameter::Description | ( |  | ) | `[protected]`

Standard_EXPORT void PlotMgt_PlotterParameter::Dump | ( |  | ) | const

Standard_EXPORT const PlotMgt_PlotterParameter::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer PlotMgt_PlotterParameter::IValue | ( |  | ) | const

Standard_EXPORT void PlotMgt_PlotterParameter::LValues | ( | Handle(TColStd_HSequenceOfAsciiString)& | aList | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString PlotMgt_PlotterParameter::MValue | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString PlotMgt_PlotterParameter::Name | ( |  | ) | const

Standard_EXPORT Standard_Boolean PlotMgt_PlotterParameter::NeedToBeSaved | ( |  | ) | const

Standard_EXPORT void PlotMgt_PlotterParameter::Normalize | ( |  | ) | `[protected]`

Standard_EXPORT TCollection_AsciiString PlotMgt_PlotterParameter::OldName | ( |  | ) | const

Standard_EXPORT void PlotMgt_PlotterParameter::ProcessParamVal | ( | const Standard_CString | aParamSign,
|  | const Standard_Integer | aFlag,
|  | TCollection_AsciiString & | aValue
| ) | `[private]`

Standard_EXPORT void PlotMgt_PlotterParameter::PutCommandInfo | ( | const Aspect_FStream & | outStream | ) | const

Standard_EXPORT Standard_Real PlotMgt_PlotterParameter::RValue | ( |  | ) | const

Standard_EXPORT Standard_Boolean PlotMgt_PlotterParameter::Save | ( | OSD_File & | aFile | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetBValue | ( | const Standard_Boolean | aValue | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetIValue | ( | const Standard_Integer | aValue | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetMValue | ( | const Handle(TColStd_HSequenceOfAsciiString)& | aMap | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetRValue | ( | const Standard_Real | aValue | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetState | ( | const Standard_Boolean | aState | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetSValue | ( | const TCollection_AsciiString & | aValue | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SetType | ( | const PlotMgt_TypeOfPlotterParameter | aType | ) |

Standard_EXPORT void PlotMgt_PlotterParameter::SValue | ( | TCollection_AsciiString & | aValue | ) | const

## Field Documentation

Standard_Boolean PlotMgt_PlotterParameter::myConfigState `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myDefValue `[private]`

Handle_TColStd_HSequenceOfAsciiString PlotMgt_PlotterParameter::myDescription `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myDialog `[private]`

Standard_Integer PlotMgt_PlotterParameter::myFlags `[private]`

Standard_Integer PlotMgt_PlotterParameter::myIndex `[private]`

Standard_Boolean PlotMgt_PlotterParameter::myIsModified `[private]`

Handle_TColStd_HSequenceOfAsciiString PlotMgt_PlotterParameter::myMap `[private]`

Standard_Integer PlotMgt_PlotterParameter::myMapLength `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myMaxValue `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myMinValue `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myName `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myOldName `[private]`

Standard_Boolean PlotMgt_PlotterParameter::myState `[private]`

PlotMgt_TypeOfPlotterParameter PlotMgt_PlotterParameter::myType `[private]`

TCollection_AsciiString PlotMgt_PlotterParameter::myValues `[private]`

The documentation for this class was generated from the following file:

- PlotMgt_PlotterParameter.hxx